Authentication
The Fyendal’s Collection API uses an OAuth2 Client Credentials Grant for authentication purposes. Your Client ID and Client Secret can be found on your subscription page.
If you cannot see your credentials, confirm that you are subscribed to the Business Plan.
Request
Section titled “Request”An OAuth2 Client Credentials Grant requires four parameters in Form URL
encoding. You can submit these parameters to the /oauth2/token endpoint.
| Name | Value |
|---|---|
| grant_type | client_credentials |
| client_id | Your Client ID from your subscription page |
| client_secret | Your Client Secret from your subscription page |
| scope | default |
An example request is provided below.
POST /oauth2/token HTTP/1.1Host: api.fyendalscollection.comContent-Type: application/x-www-form-urlencoded
grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET&scope=defaultResponse
Section titled “Response”A successful response will provided you with an access token that can be used with our other API endpoints. An example of the response you will receive is provided below.
{ "access_token": "eyJ...", "expires_in": 3600, "token_type": "Bearer", "scope": "default"}This endpoint is strictly ratelimited, so ensure you re-use your access token until expiry.
Using your access token
Section titled “Using your access token”All other endpoints exposed from our API require you to provide a valid access token using Bearer Authentication.
An example request is provided below.
GET /collection HTTP/1.1Host: api.fyendalscollection.comAuthorization: Bearer YOUR_ACCESS_TOKEN